package com.yida.data.common.core.entity.user.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 学生住宿类型枚举
 */
@Getter
@AllArgsConstructor
public enum StudentTypeEnum {

    /**
     * 家校部门类型枚举
     */
    SCHOOL_TYPE(0, "走读"),
    DORM_TYPE(1, "住宿");

    /**
     * 家校部门类型
     */
    private final Integer value;

    /**
     * 家校类型名称
     */
    private final String name;
}
